Index: bin/c |
diff --git a/bin/c b/bin/c |
new file mode 100755 |
index 0000000000000000000000000000000000000000..a7b752cc674ee27ff69357fc1d3ce17630a36a9b |
--- /dev/null |
+++ b/bin/c |
@@ -0,0 +1,24 @@ |
+#!/bin/sh |
+ |
+set -e |
+ |
+BRANCH=$(git branch | grep \* | cut -d" " -f 2) |
+CLEAN=${CLEAN-clean} |
+SAMPLES=100 |
+ |
+if [ $BRANCH == $CLEAN ]; then |
+ echo "Comparing $BRANCH to itself." |
+ exit 1 |
+fi |
+ |
+git checkout $CLEAN |
+./gyp_skia >/dev/null |
+ninja -C out/Release nanobench |
+out/Release/nanobench $@ --samples $SAMPLES -v 2> $CLEAN.log |
+ |
+git checkout $BRANCH |
+./gyp_skia >/dev/null |
+ninja -C out/Release nanobench |
+out/Release/nanobench $@ --samples $SAMPLES -v 2> $BRANCH.log |
+ |
+compare $CLEAN.log $BRANCH.log |